set XUN_REG_OFFSET  0x1000

set XUN_RBR_OFFSET [expr $XUN_REG_OFFSET + 0x00] 
set XUN_DLL_OFFSET [expr $XUN_REG_OFFSET + 0x00] 
set XUN_IER_OFFSET [expr $XUN_REG_OFFSET + 0x04] 
set XUN_DLM_OFFSET [expr $XUN_REG_OFFSET + 0x04]
set XUN_IIR_OFFSET [expr $XUN_REG_OFFSET + 0x08] 
set XUN_FCR_OFFSET [expr $XUN_REG_OFFSET + 0x08] 
set XUN_LCR_OFFSET [expr $XUN_REG_OFFSET + 0x0C] 
set XUN_MCR_OFFSET [expr $XUN_REG_OFFSET + 0x10] 
set XUN_LSR_OFFSET [expr $XUN_REG_OFFSET + 0x14] 
set XUN_MSR_OFFSET [expr $XUN_REG_OFFSET + 0x18] 
set XUN_DRLS_OFFSET [expr $XUN_REG_OFFSET + 0x00] 
set XUN_DRLM_OFFSET [expr $XUN_REG_OFFSET + 0x04] 

# Interrupt Enable Register bits 
set XUN_IER_MODEM_STATUS            0x08 
set XUN_IER_RX_LINE                 0x04
set XUN_IER_TX_EMPTY                0x02
set XUN_IER_RX_DATA                 0x01

# FIFO Control Register bits 
set XUN_FIFO_RX_TRIG_MSB            0x80
set XUN_FIFO_RX_TRIG_LSB            0x40
set XUN_FIFO_TX_RESET               0x04
set XUN_FIFO_RX_RESET               0x02
set XUN_FIFO_ENABLE                 0x01 
set XUN_FIFO_RX_TRIGGER             0xC0 

# Line Control Register bits 
set XUN_LCR_DLAB                    0x80 
set XUN_LCR_SET_BREAK               0x40 
set XUN_LCR_STICK_PARITY            0x20
set XUN_LCR_EVEN_PARITY             0x10 
set XUN_LCR_ENABLE_PARITY           0x08
set XUN_LCR_2_STOP_BITS             0x04
set XUN_LCR_8_DATA_BITS             0x03
set XUN_LCR_7_DATA_BITS             0x02
set XUN_LCR_6_DATA_BITS             0x01
set XUN_LCR_LENGTH_MASK             0x03
set XUN_LCR_PARITY_MASK             0x18

# Modem Control Register bits 
set XUN_MCR_LOOP                    0x10 
set XUN_MCR_OUT_2                   0x08 
set XUN_MCR_OUT_1                   0x04 
set XUN_MCR_RTS                     0x02 
set XUN_MCR_DTR                     0x01 

# Line Status Register bits */
set XUN_LSR_RX_FIFO_ERROR           0x80
set XUN_LSR_TX_EMPTY                0x40
set XUN_LSR_TX_BUFFER_EMPTY         0x20
set XUN_LSR_BREAK_INT               0x10
set XUN_LSR_FRAMING_ERROR           0x08
set XUN_LSR_PARITY_ERROR            0x04 
set XUN_LSR_OVERRUN_ERROR           0x02
set XUN_LSR_DATA_READY              0x01
set XUN_LSR_ERROR_BREAK             0x1E 

set XUN_INT_ID_MASK 			0x0F 
set XUN_LCR_LENGTH_MASK 		0x03 
set XUN_LCR_PARITY_MASK 		0x18 
set XUN_DIVISOR_BYTE_MASK 	   0xFF

