# Read PPC440 MSR Register and examine the EE bit. 
# Print in plain English if External Exceptions(interrupts) are presently
# enabled.
proc ppc440_intenable_print {} {
    # Read the MSR register.  Trim off extra text, keeping only the number.
    # "   msr:  12345678 " becomes "12345678"
    set regval [string trimleft [rrd msr] "msr: "]

    # make the number read above appear like conventional hexadecimal
    # "12345678" becomes "0x12345678"
    set regval [format "0x%08x" 0x$regval ]

    puts -nonewline "PPC External Interrupts "
    # Test the 'EE' bit
    if {$regval & 0x00008000} {
        puts "ENABLED"
    } else {
        puts "DISABLED"
    }
}

