###############################################################################
##
## Copyright (c) 2007 Xilinx, Inc.  All rights reserved.
##
## Xilinx, Inc.
## XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS" AS A
## COURTESY TO YOU. BY PROVIDING THIS DESIGN, CODE, OR INFORMATION AS
## ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION OR
## STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS IMPLEMENTATION
## IS FREE FROM ANY CLAIMS OF INFRINGEMENT, AND YOU ARE RESPONSIBLE
## FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE FOR YOUR IMPLEMENTATION.
## XILINX EXPRESSLY DISCLAIMS ANY WARRANTY WHATSOEVER WITH RESPECT TO
## THE ADEQUACY OF THE IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO
## ANY WARRANTIES OR REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE
## FROM CLAIMS OF INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY
## AND FITNESS FOR A PARTICULAR PURPOSE.
##
## Filename:    uartlite.tcl
##
## Description:
## Print uarlite controller registers
##
## $Id: uartlite.tcl,v 1.1 2007/11/14 21:01:59 bhill Exp $
##
###############################################################################


puts "uartlite_print"

# Print UART Lite information
proc uartlite_print {base} {

    set addr $base

    set mval [format "0x%02x" [mem_read_word $addr] ]
    set addr [format "0x%02x" $addr]
    puts "$addr RX_FIFO  $mval"
    incr addr 0x4

    set addr [format "0x%02x" $addr]
    puts "$addr TX_FIFO  (write only)"
    incr addr 4

    set mval [format "0x%02x" [mem_read_word $addr] ]
    set addr [format "0x%02x" $addr]
    puts -nonewline "$addr STATUS   $mval "
    incr addr 4
    if {$mval & 0x01} {
        puts -nonewline "RX_FIFO_VALID_DATA "
    }
    if {$mval & 0x02} {
        puts -nonewline "RX_FIFO_FULL "
    }
    if {$mval & 0x04} {
        puts -nonewline "TX_FIFO_EMPTY "
    }
    if {$mval & 0x08} {
        puts -nonewline "TX_FIFO_FULL "
    }
    if {$mval & 0x10} {
        puts -nonewline "INTR_ENABLED "
    }
    if {$mval & 0x20} {
        puts -nonewline "OVERRUN_ERROR "
    }
    if {$mval & 0x40} {
        puts -nonewline "FRAMING_ERROR "
    }
    if {$mval & 0x80} {
        puts -nonewline "PARITY_ERROR "
    }
    puts ""

    set mval [format "0x%02x" [mem_read_word $addr] ]
    set addr [format "0x%02x" $addr]
    puts "$addr CONTROL  $mval "
}

