###############################################################################
##
## Copyright (c) 2007 Xilinx, Inc.  All rights reserved.
##
## Xilinx, Inc.
## XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS" AS A
## COURTESY TO YOU. BY PROVIDING THIS DESIGN, CODE, OR INFORMATION AS
## ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION OR
## STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS IMPLEMENTATION
## IS FREE FROM ANY CLAIMS OF INFRINGEMENT, AND YOU ARE RESPONSIBLE
## FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE FOR YOUR IMPLEMENTATION.
## XILINX EXPRESSLY DISCLAIMS ANY WARRANTY WHATSOEVER WITH RESPECT TO
## THE ADEQUACY OF THE IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO
## ANY WARRANTIES OR REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE
## FROM CLAIMS OF INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY
## AND FITNESS FOR A PARTICULAR PURPOSE.
##
## Filename:    xps_intc.tcl
##
## Description:
## Print XPS Interrupt controller registers
##
## $Id: xps_intc.tcl,v 1.1 2007/11/14 21:01:59 bhill Exp $
##
###############################################################################


puts "xps_intc_print"

# Print XPS Interrupt Controller info
proc xps_intc_print {base} {
    # Read hardware bit definitions
    global env
    source "$env(XMD_USER_TCLDIR)/include/xintc_l.tcl"

    set addr [format "0x%08x" [expr $base + $XIN_ISR_OFFSET]]
    set mval [format "0x%08x" [mem_read_word $addr] ]
    puts "$addr ISR   $mval"

    set addr [format "0x%08x" [expr $base + $XIN_IPR_OFFSET]]
    set mval [format "0x%08x" [mem_read_word $addr] ]
    puts "$addr IPR   $mval"

    set addr [format "0x%08x" [expr $base + $XIN_IER_OFFSET]]
    set mval [format "0x%08x" [mem_read_word $addr] ]
    puts "$addr IER   $mval"

    set addr [format "0x%08x" [expr $base + $XIN_IAR_OFFSET]]
    set mval [format "0x%08x" [mem_read_word $addr] ]
    puts "$addr IAR   $mval"

    set addr [format "0x%08x" [expr $base + $XIN_SIE_OFFSET]]
    set mval [format "0x%08x" [mem_read_word $addr] ]
    puts "$addr SIE   $mval"

    set addr [format "0x%08x" [expr $base + $XIN_CIE_OFFSET]]
    set mval [format "0x%08x" [mem_read_word $addr] ]
    puts "$addr CIE   $mval"

    set addr [format "0x%08x" [expr $base + $XIN_IVR_OFFSET]]
    set mval [format "0x%08x" [mem_read_word $addr] ]
    puts "$addr IVR   $mval"

    set addr [format "0x%08x" [expr $base + $XIN_MER_OFFSET]]
    set mval [format "0x%08x" [mem_read_word $addr] ]
    puts "$addr MER   $mval"
}

